/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/


#include <windows.h>
#include "stdafx.h"
#include "fsioctl.h"

/*******************************  IMPORTANT NOTICE *********************************/
/*  You have to copy mxdev.dll to \windows directory                               */
/*  The mxdev.dll is in the path "C:\Windows CE Tools\wce600\DA-681-CESDKV1.0\Lib\x86"  */


/* extra DeviceIOControl Code for Moxa MU860 UART */
#define MOXA					0x400
#define MOXA_SET_OP_MODE		(MOXA + 66)
#define MOXA_GET_OP_MODE		(MOXA + 67)

#define RS232_MODE				0	
#define RS485_2WIRE_MODE		1
#define RS422_MODE				2
#define RS485_4WIRE_MODE		3
#define OP_MODE_MASK			3


#define IOCTL_START_WDG							CTL_CODE( 0, 164, 0, 0)
#define IOCTL_STOP_WDG							CTL_CODE( 0, 165, 0, 0)
#define IOCTL_REFRESH_WDG						CTL_CODE( 0, 166, 0, 0)

HANDLE watchdog_init(DWORD dwRefreshPeriod);
BOOL watchdog_refresh(HANDLE hWdg, DWORD dwRefreshPeriod);
BOOL watchdog_release(HANDLE hWdg);

#define BIOS_CHECKSUM_ERROR 0x0
#define BIOS_KEYBOARD_ERROR 0x1
#define BIOS_BIT3_RESERVED	0x2
#define BIOS_BIT4_RESERVED	0x4
#define BIOS_BIT5_RESERVED	0x8
#define BIOS_BIT6_RESERVED	0x10
#define BIOS_BIT7_RESERVED	0x20

BYTE Get_Boot_ErrorCode();
BOOL Get_Temperature_Status();